Summary:	A hardware-independent library for executing real-mode x86 code
Summary(pl.UTF-8):	Niezależna od sprzętu biblioteka do wykonywania kodu trybu rzeczywistego x86
Name:		libx86
Version:	1.1
Release:	3
License:	MIT (libx86), BSD (x86emu)
Group:		Libraries
Source0:	http://www.codon.org.uk/~mjg59/libx86/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	41bee1f8e22b82d82b5f7d7ba51abc2a
Patch0:		%{name}-lrmi.patch
URL:		http://www.codon.org.uk/~mjg59/libx86/
# it's supposed to be arch independant emu library but unfortunately right now it doesn't build
# on other architectures; check with newer versions!
ExclusiveArch:	%{ix86} %{x8664} x32
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
It's often useful to be able to make real-mode x86 BIOS calls from
userland. lrmi provides a simple interface to this for x86 machines,
but this doesn't help on other platforms. libx86 provides the lrmi
interface, but will also run on platforms such as amd64 and alpha.

%description -l pl.UTF-8
Często przydaje się możliwość wykonania wywołań trybu rzeczywistego
BIOS-u x86 z przestrzeni użytkownika. lrmi udostępnia prosty interfejs
do tego dla maszyn x86, ale nie pomaga to na innych platformach.
libx86 udostępnia interfejs lrmi, ale działający także na platformach
takich jak amd64 czy alpha.

%package devel
Summary:	Header files for libx86 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libx86
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libx86 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libx86.

%package static
Summary:	Static libx86 library
Summary(pl.UTF-8):	Statyczna biblioteka libx86
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libx86 library.

%description static -l pl.UTF-8
Statyczna biblioteka libx86.

%prep
%setup -q
%patch0 -p0

%build
%{__make} \
%ifnarch %{ix86}
	BACKEND="x86emu" \
%endif
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	LIBDIR=%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libx86.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libx86.so
%{_includedir}/libx86.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libx86.a
%changelog
* Sun May 10 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libx86.git;a=log;h=master

* Sun May 10 2015 Jan Rękorajski <baggins@pld-linux.org> 0008746
- builds on x32
- rel 3

* Wed Feb 04 2009 hawk <hawk@pld-linux.org> 93b43b5
- build fix for lrmi.c, release 2

* Wed Feb 04 2009 hawk <hawk@pld-linux.org> 13c8a7a
- fix for lrmi.c to compile on system with 2.6.26 or newer header

* Fri May 30 2008 Jakub Bogusz <qboosh@pld-linux.org> 7cd5bbc
- updated to 1.1

* Sat Jan 26 2008 Jakub Bogusz <qboosh@pld-linux.org> 8bfbd6e
- BR: sed 4
- more verbose files

* Tue Dec 25 2007 Elan Ruusamäe <glen@pld-linux.org> 579bbc7
- rel 4

* Fri Mar 16 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> ea268b1
- rel 3

* Thu Mar 15 2007 Jakub Bogusz <qboosh@pld-linux.org> d580d4c
- pl, fixed copy-pasto

* Tue Mar 06 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 05c00af
- x86 + x86_64 only for now

* Sat Mar 03 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 281b7e7
- fix url

* Sat Mar 03 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> a7fd82e
- initial pld release

